#
# spec file for package rubygem-dm-serializer
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
Name:           rubygem-dm-serializer
Version:        1.2.0
Release:        1.1
%define mod_name dm-serializer
%define mod_full_name %{mod_name}-%{version}
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
Provides:       rubygem-%{mod_name}-1_2 = %{version}
%rubygems_requires
# dm-core ~> 1.2.0
BuildRequires:  rubygem-dm-core-1_2 >= 1.2.0
Requires:       rubygem-dm-core-1_2 >= 1.2.0
# fastercsv ~> 1.5.4
BuildRequires:  rubygem-fastercsv-1_5 >= 1.5.4
Requires:       rubygem-fastercsv-1_5 >= 1.5.4
# multi_json ~> 1.0.3
BuildRequires:  rubygem-multi_json-1_0 >= 1.0.3
Requires:       rubygem-multi_json-1_0 >= 1.0.3
# json ~> 1.5.4
BuildRequires:  rubygem-json-1_5 >= 1.5.4
Requires:       rubygem-json-1_5 >= 1.5.4
# json_pure ~> 1.5.4
BuildRequires:  rubygem-json_pure-1_5 >= 1.5.4
Requires:       rubygem-json_pure-1_5 >= 1.5.4
#
Url:            http://github.com/datamapper/dm-serializer
Source:         %{mod_full_name}.gem
#
Summary:        DataMapper plugin for serializing Resources and Collections
%description
DataMapper plugin for serializing Resources and Collections

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}
%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}
%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
%build
%install
%gem_install %{S:0}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec

%changelog
* Fri Oct 14 2011 fcastelli@suse.com
- Update to 1.2.0
* Tue Mar 29 2011 kkaempf@novell.com
- update to 1.1.0
- split off -doc subpackage
* Wed Aug 25 2010 prusnak@opensuse.org
- created package (1.0.0)
